Get a Company's Lists
curl --request GET \
--url https://api.affinity.co/v2/companies/{companyId}/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/companies/{companyId}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/companies/{companyId}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"name": "All companies",
"creatorId": 1,
"ownerId": 1,
"isPublic": false,
"createdAt": "2024-03-07T20:21:42Z"
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Companies
Get a Company's Lists
Paginate through all Lists where the given Company appears as an entry and that you have access to view. Returns basic List information for each List that contains this Company.
GET
/
v2
/
companies
/
{companyId}
/
lists
Get a Company's Lists
Authorizations
A static Affinity API key, presented as a bearer token.
Path Parameters
Company ID
Required range:
1 <= x <= 9007199254740991Query Parameters
Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Example:
100
Was this page helpful?